#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include "process.h"

/****************************************/
/* generic real process handling        */
/* (all real processes are handled here */
/****************************************/

proc_real_t *rp_alloc(transaction_t *tx,char *cmd, const char *id, kvlist_t *args);

/* free resources allocated by rp_alloc; process must be stopped already */
void rp_free(proc_real_t *p);


/* start a real process */
void rp_start(proc_real_t *pr);

/* stop a running real process by term (hard == 0) or kill */
void rp_stop(proc_real_t *rp, int hard);

/* call this before closing a porty socket of a real process, to set the correspoinding
   field in the struct to P_NET_INVALID_SOCKET */
void rp_socket_inval(proc_real_t *pr, P_net_socket socket);
